>From caf10715e4f4e197dc04c4b29057fc7b8b66d419 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Thu, 3 Jul 2014 12:59:07 +0800
Subject: [PATCH 2/6] Document enabling MSDTC tracing

---
 docs/msdtc_pgxalib_tracing_README.txt  |  29 +++++++++++++++++++++++++++++
 docs/msdtc_pgxalib_tracing_disable.reg | Bin 0 -> 238 bytes
 docs/msdtc_pgxalib_tracing_enable.reg  | Bin 0 -> 238 bytes
 3 files changed, 29 insertions(+)
 create mode 100644 docs/msdtc_pgxalib_tracing_README.txt
 create mode 100644 docs/msdtc_pgxalib_tracing_disable.reg
 create mode 100644 docs/msdtc_pgxalib_tracing_enable.reg

diff --git a/docs/msdtc_pgxalib_tracing_README.txt b/docs/msdtc_pgxalib_tracing_README.txt
new file mode 100644
index 0000000..44e6697
--- /dev/null
+++ b/docs/msdtc_pgxalib_tracing_README.txt
@@ -0,0 +1,29 @@
+The files:
+
+  msdtc_pgxalib_tracing_enable.reg
+  msdtc_pgxalib_tracing_disable.reg
+
+are Windows Registry Editor files that can be opened to add registry entries
+that turn psqlODBC's tracing for the Microsoft Distributed Transaction
+Co-Ordinator (MSDTC) on and off.
+
+You must also create C:\pgdtclog and ensure NETWORKSERVICE has write
+permissions. (It will by default on most Windows installs). At time of writing
+the trace path is hard coded to this location.
+
+This tracing is separate to regular ODBC API tracing and to psqlODBC's "mylog"
+tracing. It only traces access to the XA transaction manager used by MSDTC when
+doing XA transaction co-ordination. You probably only need this if you're
+debugging issues with "In doubt" or "only failed to notify" transactions in
+MSDTC.
+
+
+If you're tracing XA transactions in MSDTC you probably also want to trace
+MSDTC its self. For that, see:
+
+http://msdn.microsoft.com/en-us/library/ms684379(v=vs.85).aspx
+http://msdn.microsoft.com/en-us/library/ms678917(v=vs.85).aspx
+
+Tests suggest that only some SDKs' versions of the tracefmt.exe tool required
+will work - I found that Windows SDK 7.1's worked, but Visual Studio Express
+for Desktop 2012's didn't. Your results may vary.
diff --git a/docs/msdtc_pgxalib_tracing_disable.reg b/docs/msdtc_pgxalib_tracing_disable.reg
new file mode 100644
index 0000000000000000000000000000000000000000..970325ffb7105e5ac9df5a7f79768318621762cf
GIT binary patch
literal 238
zcmXwzOA5k35Cv;3cn9$SAsd%2{G#}Y8Zn5GEL0>L112C|UM(XsG&Aqj>*;>K5^`>w
zDR@xQV#9^2UP;BBr_M;4s|t0Co%}A%)i-sAfY8&VQP+V9Gkf-A%!wG#^Uhd!4`fr8
z(v(;>W=o>Kshx-+eKV=#_xfgIGeO-om8_il-R$ZP7unjskM-QP6G}I&IO!E8+H|eZ
H`tSAucM~Ov

literal 0
HcmV?d00001

diff --git a/docs/msdtc_pgxalib_tracing_enable.reg b/docs/msdtc_pgxalib_tracing_enable.reg
new file mode 100644
index 0000000000000000000000000000000000000000..6ead24077c42f1fd3f6cc3b9033a476caf3318bf
GIT binary patch
literal 238
zcmXwzNeaS15Jlfw@D7p#h%Q{ZaKzvcCloP~g@%xg0V9Z)SDz7Sithj4udaH(_T*f-
zQ1GCn!J3pzujI~+r_M;4s|t04o%|-v)mL?gCM{2$T2)6TOzk<4Fe73>&pTo6J&=Vg
zq%j-Wm@Rw#b>&11>6?iqzt=arG1IKNLdnvp-_0_2NM$SkK2>uACzNh_=d4$l2<TdE
H>%ZFvcONB+

literal 0
HcmV?d00001

-- 
1.9.0

